Bug 450136 - dlm: check for null in device_write [rhel-5.3]
dlm: check for null in device_write [rhel-5.3]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Don Zickus
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-05 10:56 EDT by David Teigland
Modified: 2009-01-20 15:22 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 15:22:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Teigland 2008-06-05 10:56:01 EDT
Description of problem:

If `device_write' method is called via "dlm-control",
file->private_data is NULL. (See ctl_device_open() in
user.c. ) Through proc->flags is read.

This causes a kernel oops.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Teigland 2008-06-05 11:41:57 EDT
fixed in upstream commit:

From f1605096f1fde64403edcb9e18605174a64e1c55 Mon Sep 17 00:00:00 2001
From: Masatake YAMATO <yamato@redhat.com>
Date: Wed, 28 May 2008 14:45:10 +0900
Subject: [PATCH] dlm: check for null in device_write

If `device_write' method is called via "dlm-control",
file->private_data is NULL. (See ctl_device_open() in
user.c. ) Through proc->flags is read.

Signed-off-by: Masatake YAMATO <yamato@redhat.com>
Signed-off-by: David Teigland <teigland@redhat.com>
Comment 2 RHEL Product and Program Management 2008-06-05 12:34:23 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 David Teigland 2008-06-05 12:35:39 EDT
The commit referenced in comment 1 is from linux-next, pending the merge
window for 2.6.27, so the commit id is not permanent.
Comment 4 David Teigland 2008-06-05 15:27:03 EDT
patch posted to rhkernel-list

http://post-office.corp.redhat.com/archives/rhkernel-list/2008-June/msg00090.html
Comment 6 Don Zickus 2008-07-16 11:48:24 EDT
in kernel-2.6.18-97.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 9 Mike Gahagan 2008-12-09 14:48:34 EST
confirmed fix is in the -125 kernel.
Comment 11 errata-xmlrpc 2009-01-20 15:22:11 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.